package com.ruoyi.warehouseBusiness.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 客户存货编号流水号对象 billno_serial
 * 
 * @author ruoyi
 * @date 2020-12-23
 */
public class BillnoSerial extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 单据类型 */
    @Excel(name = "单据类型")
    private String billType;

    /** 单据前缀 */
    @Excel(name = "单据前缀")
    private String billPrefix;

    /** 序号 */
    @Excel(name = "序号")
    private Integer serial;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBillType(String billType) 
    {
        this.billType = billType;
    }

    public String getBillType() 
    {
        return billType;
    }
    public void setBillPrefix(String billPrefix) 
    {
        this.billPrefix = billPrefix;
    }

    public String getBillPrefix() 
    {
        return billPrefix;
    }
    public void setSerial(Integer serial)
    {
        this.serial = serial;
    }

    public Integer getSerial()
    {
        return serial;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("billType", getBillType())
            .append("billPrefix", getBillPrefix())
            .append("serial", getSerial())
            .append("remarks", getRemarks())
            .toString();
    }
}
